Get website test results
curl --request GET \
--url https://api.revdesk.com/v1/optimize/tests/{id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.revdesk.com/v1/optimize/tests/{id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revdesk.com/v1/optimize/tests/{id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"test": {
"id": "<string>",
"name": "<string>",
"hypothesis": "<string>",
"status": "draft",
"kind": "variation",
"page_url": "<string>",
"url_match_type": "exact",
"goal": {
"id": "<string>",
"type": "form_submit",
"selector": "<string>",
"url_pattern": "<string>"
},
"traffic_split": 123,
"variants": [
{
"id": "<string>",
"name": "<string>",
"is_control": true,
"weight": 123,
"ops": [
{
"selector": "<string>",
"op": "setText",
"value": "<string>",
"nth": 4503599627370495
}
],
"redirect_url": "<string>"
}
],
"started_at": "<string>",
"completed_at": "<string>",
"shipped_at": "<string>",
"winner_variant_id": "<string>",
"created_at": "<string>"
},
"variants": [
{
"id": "<string>",
"name": "<string>",
"is_control": true,
"impressions": 123,
"conversions": 123,
"conversion_rate": 123,
"lift": 123,
"p_value": 123,
"probability_to_beat_control": 123,
"revenue_cents": 123
}
],
"decision": {
"winner_variant_id": "<string>",
"reason": "winner"
},
"computed_at": "<string>",
"daily": [
{
"day": "<string>",
"variant_id": "<string>",
"impressions": 123,
"conversions": 123
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"resolution_hint": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"resolution_hint": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"resolution_hint": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"resolution_hint": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"resolution_hint": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"resolution_hint": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Optimize
Get website test results
Per-variant impressions, conversions, lift, significance, and conversion value, with the current decision and a daily series. Results are recomputed when the stored rollup is more than five minutes old.
GET
/
v1
/
optimize
/
tests
/
{id}
/
results
Get website test results
